Skip to main content
`Ctrl`+`K`

# PetscViewerSetType

Builds `PetscViewer` for a particular implementation.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerSetType(PetscViewer viewer, PetscViewerType type)

Collective

## Input Parameters

- viewer - the `PetscViewer` context obtained with `PetscViewerCreate()`

- type - for example, `PETSCVIEWERASCII`

## Options Database Key

- -viewer_type <type> - Sets the type; use -help for a list of available methods (for instance, ascii)

## Note

See `PetscViewerType` for possible values

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerCreate()`, `PetscViewerGetType()`, `PetscViewerType`, `PetscViewerPushFormat()`

## Level

advanced

## Location

src/sys/classes/viewer/interface/viewreg.c

## Examples

src/ksp/ksp/tutorials/ex43.c
src/snes/tutorials/ex12.c
src/dm/tutorials/ex15.c
src/dm/tutorials/ex21.c
src/dm/impls/plex/tutorials/ex1f90.F90
src/mat/tutorials/ex10.c
src/ts/tutorials/ex11.c
src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/ex20.c
src/sys/classes/viewer/tutorials/ex1.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages